{ lib, fetchFromGitHub, python311Packages, wrapQtAppsHook, pkgs }:

let
  pname = "nagstamon";
  version = "v3.12.0";

in python311Packages.buildPythonApplication rec {
  inherit pname;
  inherit version;

  src = fetchFromGitHub {
    owner = "HenriWahl";
    repo = "Nagstamon";
    rev = version;
    sha256 = "sha256-SI0FPTqJquaVyl/gpp883eGLq7tZ6J0fqn0jp77M8GM=";
  };

  doCheck = false;

  nativeBuildInputs = [ wrapQtAppsHook ];
  postFixup = ''
    makeQtWrapper $out/bin/nagstamon.py $out/bin/nagstamon
  '';

  propagatedBuildInputs = [
    python311Packages.beautifulsoup4
    python311Packages.configparser
    python311Packages.dateutil
    python311Packages.keyring
    python311Packages.lxml
    python311Packages.psutil
    python311Packages.pyqt5_with_qtmultimedia
    python311Packages.requests
    python311Packages.requests-kerberos
    python311Packages.setuptools
    python311Packages.xlib
    pkgs.libsForQt5.qt5.qtwayland
  ];

  meta = with lib; {
    description = "A status monitor for the desktop";
    homepage = "https://nagstamon.ifw-dresden.de/";
    license = licenses.gpl2;
    maintainers = with maintainers; [ foosinn ];
    inherit version;
  };
}
